ReferenceDocumentsDocumentidSection generations
Generate document section(s)
Generate document section(s) - POST /documents/{documentId}/section-generations. DocDealer REST API reference.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
documentId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/documents/string/section-generations" \ -H "Content-Type: application/json" \ -d '{}'{ "results": [ { "error": "string", "length": 0, "sectionId": "string", "static": true, "success": true } ], "success": true}Resolve a filled placeholder to a form/memory proposal POST
Resolve a filled placeholder to a form/memory proposal - POST /documents/{documentId}/resolve-placeholder. DocDealer REST API reference.
Cancel section generation DELETE
Cancel section generation - DELETE /documents/{documentId}/section-generations/{sectionId}. DocDealer REST API reference.